import {abstractDataStrategyRight} from "./abstractDataStrategyRight";
import mapToObj from "../../../util/mapToObj";

export class eventSubCategoryCountStrategy extends abstractDataStrategyRight {
    execute(params?: any): any {
        this.paramsCheck(params);
        const eventList = ['服务质量', '医疗救助', '纠纷', '环境卫生', '血族调查', '设施设备'];
        const target = '事件子类型';
        return mapToObj(this.getListCount(eventList, target, this.eventData, params.query.year));
    }
}